﻿using System;
using System.Diagnostics;
using System.Windows.Forms;
using GeminiSoftwareSolutions.Win.UI.Controls;
using System.Collections.Generic;

namespace ProgessPanelDemo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }        

        private void Form1_Load(object sender, EventArgs e)
        {
            List<string> templates = new List<string>(Enum.GetNames(typeof(Templates)));
            templates.Sort();

            foreach (string s in templates)
            {
                comboBox1.Items.Add(Enum.Parse(typeof(Templates), s));
            }

            comboBox1.SelectedIndex = comboBox1.Items.IndexOf(progressPanel1.Template);

            foreach (string s in Enum.GetNames(typeof(Speeds)))
            {
                comboBox2.Items.Add(Enum.Parse(typeof(Speeds), s));
            }

            comboBox2.SelectedIndex = comboBox2.Items.IndexOf(progressPanel1.Speed);

            foreach (string s in Enum.GetNames(typeof(FadeSizes)))
            {
                comboBox3.Items.Add(Enum.Parse(typeof(FadeSizes), s));
            }

            comboBox3.SelectedIndex = comboBox3.Items.IndexOf(progressPanel1.FadeSize);

            foreach (string s in Enum.GetNames(typeof(FadeModes)))
            {
                comboBox4.Items.Add(Enum.Parse(typeof(FadeModes), s));
            }

            comboBox4.SelectedIndex = comboBox4.Items.IndexOf(progressPanel1.FadeMode);

            checkBox1.Checked = checkBox2.Checked = checkBox3.Checked = true;
            checkBox1.Checked = checkBox2.Checked = checkBox3.Checked = false;

            trackBar1.Value = 100;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            progressPanel1.Loading = true;
            progressPanel2.Loading = true;
        }

        private void button2_Click(object sender, EventArgs e)
        {
            progressPanel1.Loading = false;
            progressPanel2.Loading = false;
        }

        private void checkBox1_CheckedChanged(object sender, EventArgs e)
        {
            progressPanel1.Highlight = checkBox1.Checked;
            progressPanel2.Highlight = checkBox1.Checked;
        }

        private void checkBox2_CheckedChanged(object sender, EventArgs e)
        {
            progressPanel1.Lowlight = checkBox2.Checked;
            progressPanel2.Lowlight = checkBox2.Checked;
        }

        private void checkBox3_CheckedChanged(object sender, EventArgs e)
        {
            progressPanel1.ShowPercentLoaded = checkBox3.Checked;
            progressPanel2.ShowPercentLoaded = checkBox3.Checked;
        }

        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            progressPanel1.Template = (Templates)comboBox1.SelectedItem;
            progressPanel2.Template = (Templates)comboBox1.SelectedItem;
        }

        private void comboBox2_SelectedIndexChanged(object sender, EventArgs e)
        {
            progressPanel1.Speed = (Speeds)comboBox2.SelectedItem;
            progressPanel2.Speed = (Speeds)comboBox2.SelectedItem;
        }

        private void comboBox3_SelectedIndexChanged(object sender, EventArgs e)
        {
            progressPanel1.FadeSize = (FadeSizes)comboBox3.SelectedItem;
            progressPanel2.FadeSize = (FadeSizes)comboBox3.SelectedItem;
        }

        private void comboBox4_SelectedIndexChanged(object sender, EventArgs e)
        {
            progressPanel1.FadeMode = (FadeModes)comboBox4.SelectedItem;
            progressPanel2.FadeMode = (FadeModes)comboBox4.SelectedItem;
        }

        private void linkLabel1_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            Process.Start("http://www.geminisoftwaresolutions.com");
        }

        private void trackBar1_ValueChanged(object sender, EventArgs e)
        {
            progressPanel1.PercentLoaded = trackBar1.Value;
            progressPanel2.PercentLoaded = trackBar1.Value;
        }        
    }
}
